<?php

namespace Mehrab\ContactUs\Providers;


use Illuminate\Support\Facades\Gate;
use Mehrab\ContactUs\Models\ContactUs;
use Mehrab\ContactUs\Policies\ContactUsPolicy;

class ContactUsServiceProvider extends \Illuminate\Support\ServiceProvider
{
    public function register()
    {
        $this->loadRoutesFrom(__DIR__."/../Routes/contactUs_routes.php");
        $this->loadMigrationsFrom(__DIR__."/../Database/Migrations/");
        $this->loadViewsFrom(__DIR__.'/../Resources/Views/','ContactUs');
//        $this->loadJsonTranslationsFrom(__DIR__.'/../Resources/Lang/');
//        DatabaseSeeder::$Seeders[] = CitySeeder::class;
        Gate::policy(ContactUs::class,ContactUsPolicy::class);

    }

    public function boot(){

    }
}
